// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
/**
 * @type (NodeShowReports)
 * This is a view class for Node Reports menu option.
 */

define(['hpsum/presenter/node/NodePresenter',
    'hp/core/Router',
    'hp/view/FormStateView',
    'hp/core/HelpMenu',
    'jquery',
    'hp/lib/jquery.hpStackedPanels',
    'lib/jquery.selectBox'],
function(presenter, router, FormStateView, helpMenu) { "use strict";
    	
    	var ReportsShowView = (function() {
    		var	FORM = '#hpsum-nodes-reports-form',
    			RESET = '#hpsum-nodes-reset',
            	ROUTE_PREFIX = '/node/reports';
           		
    		function ReportsShowView(){
    			
    		var addInProgress = false;
          
            function reset() {
                $(NAME).val("");
                $(NAME).focus();
                addInProgress = false;
            }
            
            function resetCancel() {
                reset();
            }
    			
    		this.init = function() {
    			               
                $(RESET).live('click', function() {
                    reset.call();
                });
                
                this.resume();
            };
            
            this.resume = function () {
            };
            
            this.pause = function () {
            };
    		
    	}	
    	return ReportsShowView;
    }());
    	
    return new ReportsShowView();	
    		
    });

